<div class="input-group mb-3 filter-input-group">
  <div class="input-group-prepend">
    <span class="input-group-text filter-icon" id="basic-addon1">
      <i class="fa fa-filter"></i>
    </span>
  </div>
  <input type="text" (keyup)="inputChangeHandler($event.target.value)" id="filterField" name="filterField"
    class="border-left-0 form-control filter-input" [placeholder]="placeholder" aria-label="Username"
    aria-describedby="basic-addon1">
</div>